VALADOC(1)

NAME
valadoc - Vala Documentation Tool

SYNOPSIS
valadoc [OPTION]... FILE...

DESCRIPTION
Valadoc is a documentation generator for generating API documentation from Vala source code based on libvala.

  Usage:

    valadoc [OPTION?] FILE... - Vala Documentation Tool

  Help Options:

-h, --help
    Show help options

  Application Options:

-o, --directory=DIRECTORY
    Output directory

-b, --basedir=DIRECTORY
    Base source directory

-D, --define=SYMBOL...
    Define SYMBOL

--profile=PROFILE
    Use the given profile instead of the default

--enable-experimental
    Enable experimental features

--enable-experimental-non-null
    Enable experimental enhancements for non-null types

--metadatadir=DIRECTORY...
    Look for GIR .metadata files in DIRECTORY

--girdir=DIRECTORY...
    Look for .gir files in DIRECTORY

--vapidir=DIRECTORY...
    Look for package bindings in DIRECTORY

--pkg=PACKAGE...
    Include binding for PACKAGE

--driver
    Name of an driver or path to a custom driver (DEPRECATED AND IGNORED)

--importdir=DIRECTORY...
    Look for external documentation in DIRECTORY

--import=PACKAGE...
    Include binding for PACKAGE

--alternative-resource-dir=DIRECTORY...
    Alternative resource directories

--wiki=DIRECTORY
    Wiki directory

--deps
    Adds packages to the documentation

--doclet=PLUGIN
    Name of an included doclet or path to custom doclet

-X, --doclet-arg=ARG
    Pass arguments to the doclet

--no-protected
    Removes protected elements from documentation

--internal
    Adds internal elements to documentation

--private
    Adds private elements to documentation

--use-svg-images
    Generate SVG image charts instead of PNG

--package-name=NAME
    package name

--package-version=VERSION
    package version

--gir=NAME-VERSION.gir
    GObject-Introspection repository file name

--version
    Display version number

--force
    force

--fatal-warnings
    Treat warnings as fatal

--verbose
    Show all warnings

--no-color
    Disable colored output

--target-glib='MAJOR.MINOR', or 'auto'
    Target version of glib for code generation

BUGS
https://gitlab.gnome.org/GNOME/vala/issues

HOMEPAGE OR CONTACT
https://wiki.gnome.org/Projects/Valadoc

AUTHORS
Florian Brosch